package dev.fyloz.colorrecipesexplorer.dtos

data class MixTypeDto(
    override val id: Long = 0L,

    val name: String,

    val materialType: MaterialTypeDto,

    val material: MaterialDto? = null
) : EntityDto {
    fun asMaterial() =
        MaterialDto(id, name, 0f, true, materialType)
}
